Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008419opensim[GRID] Inventory Servicepublic2018-12-09 13:452018-12-29 08:38
Reporterbrenner23 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
Statuspatch includedResolutionopen 
PlatformLinuxOSDebian 9OS Version
Product Version0.9.0.1 
Target VersionFixed in Version 
Summary0008419: Inventory fail after delete Source Folder.
DescriptionHi, i was get an Problem,when i delete the Source folder where it was
and the Object i ve taked not go to Lost and Found or to Trash... Object its lost...
Steps To Reproduce1 Rezz an Object on Sim
2. Create a Folder in Inventory
3. Create a Folder in the Created Folder
..
4. Take the Object and put it into Folder>Subfolder
5. Rezz the object from Subfolder
6. Test: Take a Copy From Object = Object goes to Subfolder...
7. Delete Subfolder to Trash
8. Test: Take a Copy From Object = Object goes to Subfolder in Trash
9. Empty trash
10.Take a copy from Object and the it gets a Error Messages in Console and Object is gone...( If i take the Object , same error and object is gone )

Problem is when a User rezzed The object and its only NoCopy or 1 Times there its deletet than why no last last Folder where it was exist...
Additional InformationRegion (Start) # INVENTORY]: Moving 1 items for user 1404572b-232a-4f5c-8a3f-bc09d90aa6d9
20:48:41 - [AGENT INVENTORY]: folder dd15051c-33b6-fb1d-a06b-41b0f6a2d5d4 moved to parent 80544ed3-891c-421b-805c-49cc4fea3329
20:48:54 - [AGENT INVENTORY]: folder 80544ed3-891c-421b-805c-49cc4fea3329 purged successfully
20:49:08 - [ASYNC DELETER]: Exception background sending object: Object reference not set to an instance of an object at OpenSim.Region.CoreModules.Framework.InventoryAccess.BasicInventoryAccessModule.CreateItemForObject (OpenSim.Framework.DeRezAction action, OpenSim.Framework.IClientAPI remoteClient, OpenSim.Region.Framework.Scenes.SceneObjectGroup so, OpenMetaverse.UUID folderID) [0x0026d] in <86d0f5b7bd994205b488f315c436250c>:0
  at OpenSim.Region.CoreModules.Framework.InventoryAccess.BasicInventoryAccessModule.CopyBundleToInventory (OpenSim.Framework.DeRezAction action, OpenMetaverse.UUID folderID, System.Collections.Generic.List`1[T] objlist, OpenSim.Framework.IClientAPI remoteClient, System.Boolean asAttachment) [0x00263] in <86d0f5b7bd994205b488f315c436250c>:0
  at OpenSim.Region.CoreModules.Framework.InventoryAccess.BasicInventoryAccessModule.CopyToInventory (OpenSim.Framework.DeRezAction action, OpenMetaverse.UUID folderID, System.Collections.Generic.List`1[T] objectGroups, OpenSim.Framework.IClientAPI remoteClient, System.Boolean asAttachment) [0x000f4] in <86d0f5b7bd994205b488f315c436250c>:0
  at OpenSim.Region.Framework.Scenes.AsyncSceneObjectGroupDeleter.InventoryDeQueueAndDelete () [0x00056] in <c2bd505223c6487fa84c97c682ff1a92>:0
Region (Start) #
TagsNo tags attached.
Git Revision or version numberLast version off Git
Run ModeStandalone (1 Region) , Standalone (Multiple Regions) , Grid (1 Region per Sim) , Grid (Multiple Regions per Sim)
Physics EngineBulletSim
EnvironmentMono / Linux32, Mono / Linux64
Mono Version5.x
ViewerFirestorm , Singuilarity.
Attached Filespatch file icon 0001-Fix-Bug-0008419-Inventory-fail-after-delete-Source-F.patch [^] (1,332 bytes) 2018-12-09 20:24 [Show Content]
patch file icon 0001-Make-TakeCopy-behave-like-Take.patch [^] (1,263 bytes) 2018-12-10 00:54 [Show Content]

- Relationships
has duplicate 0008434closedaiaustin Take Copy on items that came from a folder that has since been trashed but remains there goes into folder within trash 

-  Notes
(0033584)
BillBlight (developer)
2018-12-09 16:33

This appears to be a very old bug ..

It does it on .8.2.1 as well ..

I can see how this may be a very "interesting" issue to fix ..

It is an odd set of circumstances though.
(0033585)
unregi (reporter)
2018-12-09 20:26

Attached patch that fixes it.
(0033586)
UbitUmarov (administrator)
2018-12-09 22:29

Thanks for the patch, but it did not fixed all, only the exception
I made changes
- Take Copy now sends to Objects folder

- Take will send to original folder unless it is Trash or LostAndFound or a child of them. In that case also goes to Objects

plz let us know it works
:)
(0033587)
unregi (reporter)
2018-12-10 00:47

ohh... every TakeCopy to Object folder... that would make me scroll a lot through the Inventory.

When i make attachments, HUDs or Hairs, i put all Textures, Scripts and Objects for it into one subfolder, rezz it and Edit it and do TakeCopy whenever i want to test it. And everything would always land nicely in the subfolder.
Having to pick those things up from the trashy Objects folder every time would be that tiny little annoyance that makes you rage after you already had a bad time with broken textures and 10 uploads to get the LOD levels right, because you know that it's not necessary :)

Could you please consider keeping the behaviour of TakeCopy and Take the same?
(0033588)
piusnoel (reporter)
2018-12-10 01:17

I agree with unregi as long the folder has not yet moved into the trash.
(0033589)
brenner23 (reporter)
2018-12-10 04:53

Hi and thank you,
I have change the lines manualy in the file...
1. Can anione tell me the command line to patch ?
2. Is the Patch now in the new DEV includet, that i make a next time a git... and i dont have to Patch it every time and for the others they maka a git ???

and ty for helping... i have checked out, and now it goes to Objects...:-)
(0033590)
unregi (reporter)
2018-12-10 05:28

Don't get confused.

The patch that i added first, that you probably applied, is not the same as what Ubit changed in the git (it fixes the issue with objects vanishing in those circumstances, but it doesn't fix the issue of objects getting taken into the Trash if the folder where it came from is there).

Ubit fixed both things on the git, and he also added 2 lines to make TakeCopy always in Object folder and never into the original folder.

The second patch is just my 2 cent to remove those two lines again, so both issues are fixed and the TakeCopy appears in the folder from where the object came from, if its available and not in the Trash.

tl;dr: yes, it is in the git repo.
(0033591)
brenner23 (reporter)
2018-12-10 06:08

Ahh ok...
Thats fine..
I can get a new Git Compile an and problem is fixed for all :-)

ty
(0033592)
UbitUmarov (administrator)
2018-12-10 06:50

no "make all happy solution" on take copy
I took the similar action as current SL

it also saves a few ns :)

- Issue History
Date Modified Username Field Change
2018-12-09 13:45 brenner23 New Issue
2018-12-09 16:33 BillBlight Note Added: 0033584
2018-12-09 20:24 unregi File Added: 0001-Fix-Bug-0008419-Inventory-fail-after-delete-Source-F.patch
2018-12-09 20:26 unregi Note Added: 0033585
2018-12-09 20:26 unregi Status new => patch included
2018-12-09 22:29 UbitUmarov Note Added: 0033586
2018-12-10 00:47 unregi Note Added: 0033587
2018-12-10 00:54 unregi File Added: 0001-Make-TakeCopy-behave-like-Take.patch
2018-12-10 01:17 piusnoel Note Added: 0033588
2018-12-10 04:53 brenner23 Note Added: 0033589
2018-12-10 05:28 unregi Note Added: 0033590
2018-12-10 06:08 brenner23 Note Added: 0033591
2018-12-10 06:50 UbitUmarov Note Added: 0033592
2018-12-29 08:38 UbitUmarov Relationship added related to 0008434
2018-12-29 08:55 aiaustin Relationship replaced has duplicate 0008434


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker